Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040175
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2019-02-11 12:202019-02-13 23:49
ReporterSandrahuguetView Statuspublic 
Assigned Tomarkmm82 
PrioritynormalResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040175: Trial balance report should not take into account the closed years

DescriptionTrial balance report should not take into account the closed years.

In selectLines query all lines of the FACT_ACCT are checked before the indicated date. This query should be modified to check FACT_ACCT before the indicated date and in a open year.

If the report is launched by a closed year, the dateacct should be 1-jan of that year.
Steps To ReproduceLaunch report Trial Balance of 2018
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0031740 newdmiguelez Report trial balance report is slow with high number of transactions 

-  Notes
(0109814)
markmm82 (developer)
2019-02-13 23:49

Test Plan:
As F&B Group Admin:
  Go to End Year Close.
    Be sure you have closed the following years: 2011, 2012, 2013, 2014 and 2015.
    Be sure you have opened the following years: 2016, 2017, 2018, 2019 and 2020.

Test case A: Filtering dates that belongs to a closed year.
  Go to Trial Balance Report and select dates in a closed year, for example in 2014:
    From: 05/03/2014
    To: 05/11/2014
  Execute the report.
  If you debug the launched query is now filtering all FACT_ACCT starting from 01-01-2014.

Test case B: Filtering dates that belongs to a closed and an open year.
  Go to Trial Balance Report and select the FROM date in a closed year and a TO date in an open year, for example:
    From: 05/03/2013
    To: 05/11/2015
  Execute the report.
  If you debug the launched query is now filtering all FACT_ACCT starting from 01-01-2013.

Test case C1: Filtering dates that belongs to an open year.
  Go to Trial Balance Report and select dates in an open year, for example in 2017:
    From: 05/03/2017
    To: 05/11/2019
  Execute the report.
  If you debug the launched query is now filtering all FACT_ACCT starting from 01-01-2016. In fact it is the first open year after 2015 that is the last closed year. Previous closed years than 2016 are not taken into account.

Test case C2: Filtering dates that belongs to an open year.
  Go to End year and close 2016, 2017 and 2018 years.
  Go to Trial Balance Report and select dates in an open year, for example in 2019:
    From: 05/03/2019
    To: 05/11/2019
  Execute the report.
  If you debug the launched query is now filtering all FACT_ACCT starting from 01-01-2019. In fact it is the first open year after 2018 that is the last closed year. Previous closed years than 2019 are not taken into account.

- Issue History
Date Modified Username Field Change
2019-02-11 12:20 Sandrahuguet New Issue
2019-02-11 12:20 Sandrahuguet Assigned To => markmm82
2019-02-11 12:20 Sandrahuguet Modules => Core
2019-02-11 12:20 Sandrahuguet Triggers an Emergency Pack => No
2019-02-11 12:22 Sandrahuguet Description Updated View Revisions
2019-02-11 12:22 Sandrahuguet Tag Attached: Performance
2019-02-11 12:22 Sandrahuguet Relationship added related to 0031740
2019-02-11 14:38 markmm82 Status new => scheduled
2019-02-11 16:05 Sandrahuguet Description Updated View Revisions
2019-02-13 23:49 markmm82 Note Added: 0109814


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker